(function () {
    $.MsgBox = {
        Alert: function (title, msg) {
            GenerateHtml("alert", title, msg);
            btnOk();  //alert只是弹出消息，因此没必要用到回调函数callback
            btnNo();
        },
        Confirm: function (title, msg, callback) {
            GenerateHtml("confirm", title, msg);
            btnOk(callback);
            btnNo();
        }
    }
    //生成Html
    var GenerateHtml = function (type, title, msg) {
        var _html = "";
        _html += '<div id="mb_box"></div><div id="mb_con"><span id="mb_tit">' + title + '</span>';
        _html += '<a id="mb_ico"></a><div id="mb_msg">' + msg + '</div><div id="mb_btnbox">';
        if (type == "alert") {
            _html += '<input id="mb_btn_ok" type="button" value="确定" />';
        }
        if (type == "confirm") {
            _html += '<input id="mb_btn_ok" type="button" value="确定" />';
            _html += '<input id="mb_btn_no" type="button" value="取消" />';
        }
        _html += '</div></div>';
        //必须先将_html添加到body，再设置Css样式
        $("body").append(_html); GenerateCss();
    }
    //生成Css
    var GenerateCss = function () {
        $("#mb_box").css({ width: '100%', height: '100%', zIndex: '99999', position: 'fixed',
            filter: 'Alpha(opacity=60)', backgroundColor: 'black', top: '0', left: '0', opacity: '0.3'
        });
        $("#mb_con").css({ zIndex: '999999', width: '400px', position: 'fixed',
            backgroundColor: 'White', borderRadius: '10px',boxShadow:' 0px 1px 8px #9f9d9d'
        });
        $("#mb_tit").css({ display: 'block', fontSize: '14px', color: 'rgb(150, 150, 150)', padding: '10px 15px',
            backgroundColor: '#fff', borderRadius: '10px 10px 0 0', marginTop: '4px',
            borderBottom: '2px solid #ff9900', fontWeight: 'bold',fontFamily: 'Microsoft Yahei,Hiragino Sans GB, PingFang SC,Helvetica Neue,WenQuanYi Micro Hei,sans-serif'
        });
        $("#mb_msg").css({ padding: '20px', lineHeight: '20px',
            borderBottom: '1px dashed #DDD',wordBreak:'break-all', textAlign:'justify', fontSize: '14px',fontFamily: 'Microsoft Yahei,Hiragino Sans GB, PingFang SC,Helvetica Neue,WenQuanYi Micro Hei,sans-serif'
        });
        $("#mb_ico").css({ display: 'block', position: 'absolute', right: '-35px', top: '8px',
        	background:'url(../images/workclose.png) center center no-repeat', width: '24px', height: '24px',cursor: 'pointer'
        });
        $("#mb_btnbox").css({ margin: '16px 10px 20px 10px', textAlign: 'center', position:'relative' });
        $("#mb_btn_ok,#mb_btn_no").css({ width: '84px', fontSize: '14px', height: '30px', color: 'white', border: 'none' });
        $("#mb_btn_ok").css({backgroundImage:'none', padding:'0',margin:'0', backgroundColor: '#ff9900',borderRadius: '6px',fontFamily: 'Microsoft Yahei,Hiragino Sans GB, PingFang SC,Helvetica Neue,WenQuanYi Micro Hei,sans-serif'});
        $("#mb_btn_no").css({backgroundImage:'none', padding:'0',margin:'0', backgroundColor: 'gray', marginLeft: '20px',borderRadius: '6px',fontFamily: 'Microsoft Yahei,Hiragino Sans GB, PingFang SC,Helvetica Neue,WenQuanYi Micro Hei,sans-serif' });
        //右上角关闭按钮hover样式
//        $("#mb_ico").hover(function () {
//            $(this).css({ backgroundColor: '#ff9900', color: 'White',border:'1px solid #ff9900'  });
//        }, function () {
//            $(this).css({ backgroundColor: '#DDD', color: '#666',border:'1px solid #666' });
//        });
        var _widht = document.documentElement.clientWidth;  //屏幕宽
        var _height = document.documentElement.clientHeight; //屏幕高
        var boxWidth = $("#mb_con").width();
        var boxHeight = $("#mb_con").height();
        //让提示框居中
        $("#mb_con").css({ top: (_height - boxHeight) / 2 + "px", left: (_widht - boxWidth) / 2 + "px" });
    }
    //确定按钮事件
    var btnOk = function (callback) {
        $("#mb_btn_ok").click(function () {
            $("#mb_box,#mb_con").remove();
            if (typeof (callback) == 'function') {
                callback();
            }
        });
    }
    //取消按钮事件
    var btnNo = function () {
        $("#mb_btn_no,#mb_ico").click(function () {
            $("#mb_box,#mb_con").remove();
        });
    }
})();